kamailio(8)

NAME
kamailio - a very fast and configurable SIP server

SYNOPSIS
kamailio [ -hcrRvdDEVTI ] [ -f config-file ] [ -l address ] [ -n processes-no ] [ -N tcp processes-no ] [ -b max_rcv_buf_size ] [ -m shared_mem_size ] [ -M private_mem_size ] [ -w working-dir ] [ -t chroot-dir ] [ -u uid ] [ -g gid ] [ -P pid-file ] [ -G pgid-file ] [ -L modules-dir ] [ -a auto-aliases-mode ] [ -A pre-processor-define ]

DESCRIPTION
kamailio is a very fast and configurable SIP (RFC3261) server.

OPTIONS

-h  Displays a short usage description, including all available options.

-c  Checks the config file and displays the aliases and listen interface list.

-r  Uses dns to check if it is necessary to add a "received=" field to a via.

-R  Same as -r but uses reverse dns.

-K  Turns on via host checking when forwarding replies.

-d  Turns on debugging, multiple -d increase the debug level.

-D  Control how daemonize is done:
    -D - do not fork (almost) anyway (run in foreground, doesn't fork into daemon mode);
    -DD - do not daemonize creator (main process is not daemonized);
    -DDD - daemonize (default)

-E  Sends all the log messages to stderr.

-T  Disables TCP support.

-V  Displays the version number.

-I  Displays details of internal constants and attributes.

-f config-file
    Reads the configuration from config-file (default /etc/kamailio/kamailio.cfg ).

-l address
    Listens on the specified address/interface. Multiple -l mean listening on multiple addresses. The address format is [proto:]address[:port], where proto = udp|tcp and address = host|ip_address|interface_name. Example: -l localhost, -l udp:127.0.0.1:5080, -l eth0:5062. The default behaviour is to listen on all the ipv4 interfaces.

-n processes-no
    Specifies the number of children processes forked per interface (default 8).

-N tcp processes-no
    Specifies the number of children processes forked to handle tcp incoming connections (by default is equal to -n ).

-b max_rcv_buf_size
    Maximum receive buffer size which will not be exceeded by the auto-probing procedure even if the OS allows.

-m shared_mem_size
    Size of the shared memory which will be allocated (in Megabytes).

-M private_mem_size
    Size of the private memory which will be allocated per process (in Megabytes).

-w working-dir
    Specifies the working directory. In the very improbable event that kamailio will crash, the core file will be generated here.

-t chroot-dir
    Forces kamailio to chroot after reading the config file.

-u uid
    Changes the user id under which kamailio runs.

-g gid
    Changes the group id under which kamailio runs.

-P pid-file
    Creates a file containing the pid of the main kamailio process.

-G pgid-file
    Creates a file containing the pgid of the main kamailio process.

-L modules-dir
    Specifies the directory where to look for kamailio modules (default: /usr/local/lib/kamailio/modules or /usr/lib64/kamailio/modules)

-a auto-aliases-mode
    Enable auto-aliases with 'yes' or 'on', disable with 'no' or 'off

-A pre-processor-define
    Add config pre-processor define (e.g., -A WITH_AUTH, -A N=1, -A X='"Y"')

FILES
kamailio
/etc/kamailio/kamailio.cfg
/usr/local/lib/kamailio/modules/*

AUTHORS
see AUTHORS

SEE ALSO
kamailio.cfg(5)

Full documentation on kamailio, including configuration guidelines, FAQs and licensing conditions, is available at https://www.kamailio.org/

For reporting bugs see https://github.com/kamailio/kamailio/issues.

Mailing lists:
sr-users@lists.kamailio.org - kamailio user community
sr-dev@lists.kamailio.org - kamailio development, new features and unstable version